Index: git/arch/arm/common/scoop.c
===================================================================
--- git.orig/arch/arm/common/scoop.c	2006-04-13 00:22:06.000000000 +0100
+++ git/arch/arm/common/scoop.c	2006-04-17 16:03:16.000000000 +0100
@@ -18,6 +18,18 @@
 #include <asm/io.h>
 #include <asm/hardware/scoop.h>
 
+/* PCMCIA to Scoop linkage
+
+   There is no easy way to link multiple scoop devices into one
+   single entity for the pxa2xx_pcmcia device so this structure
+   is used which is setup by the platform code.
+
+   This file is never modular so this symbol is always 
+   accessile to the board support files.
+*/
+struct scoop_pcmcia_config *platform_scoop_config;
+EXPORT_SYMBOL(platform_scoop_config);
+
 #define SCOOP_REG(d,adr) (*(volatile unsigned short*)(d +(adr)))
 
 struct  scoop_dev {
Index: git/drivers/pcmcia/pxa2xx_sharpsl.c
===================================================================
--- git.orig/drivers/pcmcia/pxa2xx_sharpsl.c	2006-04-13 00:22:24.000000000 +0100
+++ git/drivers/pcmcia/pxa2xx_sharpsl.c	2006-04-17 16:01:56.000000000 +0100
@@ -26,14 +26,6 @@
 #include "soc_common.h"
 
 #define	NO_KEEP_VS 0x0001
-
-/* PCMCIA to Scoop linkage
-
-   There is no easy way to link multiple scoop devices into one
-   single entity for the pxa2xx_pcmcia device so this structure
-   is used which is setup by the platform code
-*/
-struct scoop_pcmcia_config *platform_scoop_config;
 #define SCOOP_DEV platform_scoop_config->devs
 
 static void sharpsl_pcmcia_init_reset(struct soc_pcmcia_socket *skt)
